#!/bin/bash

if ! service httpd status >& /dev/null; then
	echo "httpd service is not running. Please start it first with:"
	echo "    service httpd start"
	exit 1
fi

if ! service cobblerd status >& /dev/null; then
	echo "cobblerd service is not running. Please start it first with:"
	echo "    service cobblerd start"
	exit 1
fi

for profile in $(cobbler profile list); do
	cobbler profile rename --name="$profile" --newname="$profile"
done


# upgrade snippets
SNIPPET_DIR=/var/lib/rhn/kickstarts/snippets
SNIPPET_BACKUP_DIR=/var/lib/cobbler/backup/snippets_spacewalk
cp -aT $SNIPPET_DIR/ $SNIPPET_BACKUP_DIR/ 2>/dev/null
pushd $SNIPPET_BACKUP_DIR >/dev/null
find */* -type f -print0 2>/dev/null | while read f; do
        newf=$SNIPPET_DIR/$f
        # put #raw at the begining unless it's already there
        sed -e '1 {/^#raw$/b}' -e '1 {s/^/#raw\n/}' <$f >$newf
done
popd >/dev/null
